GP-DISPLAY-HTML.1(1)

NAME
gprofng display html - Generate an HTML based directory structure to browse the profiles

SYNOPSIS
gprofng display html [option(s)] experiment(s)

DESCRIPTION
Process one or more experiments to generate a directory containing the index.html file that may be used to browse the experiment data.

OPTIONS

--version
    Print the version number and exit.

--help
    Print usage information and exit.

--verbose {on|off}
    Enable (on) or disable (off) verbose mode. The default is off.

--debug {on|s|m|l|xl|off}
-d      {on|s|m|l|xl|off}
    Control the printing of run time information to assist with troubleshooting, or further development of this tool. The keyword is case insensitive. A setting of on gives a modest amount of information. The keywords s, m, l, and xl give an increasing amount of information, while off disables the printing of debug information. This is also the default.

    Note that currently on, s, m, and l are equivalent. This is expected to change in future updates.

---highlight-percentage value
-hp value
    Set a percentage value in the interval [0,100] to select and color code source lines, as well as instructions, that are within this percentage of the maximum metric value(s). The default is 90 (%).

    A value of zero (-hp 0) disables this feature.

--output dirname
-o       dirname
    Use dirname as the directory name to store the HTML files in. The default name is display.<n>.html with <n> the first positive integer number not in use. An existing directory with the same name is not overwritten.

--overwrite dirname
-O          dirname
    Use dirname as the directory name to store the HTML files in.

--quiet {on|off}
-q      {on|off}
    Control the display of all warning, debug and verbose messages. If set to on, the settings for verbose, warnings and debug are ignored. By default the quiet mode is disabled (-q off).

--warnings {on|off}
-w         {on|off}
    Enable (on), or disable (off) run time warning messages from the tool. By default these are enabled.

NOTES
When setting a directory name for the HTML files to be stored in, make sure that umask is set to the correct access permissions.

Regardless of the setting for the warning messages, any warnings are accessible through the main index.html page.

SEE ALSO
gprofng(1), gp-archive(1), gp-collect-app(1), gp-display-src(1), gp-display-text(1)

The user guide for gprofng is maintained as a Texinfo manual. If the info and gprofng programs are correctly installed, the command info gprofng should give access to this document.

COPYRIGHT
Copyright (c) 2022-2023 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".